View Issue Details

IDProjectCategoryView StatusLast Update
0020824mantisbtbugtrackerpublic2016-08-15 09:02
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.19 
Target Version1.2.20Fixed in Version1.2.20 
Summary0020824: collapse_cache_token() always update token ID # 5
Description

The token_touch() call in collapse_cache_token() is incorrect: we give it a TOKEN_COLLAPSE token type, but the API actually expects a token ID, so the function always tries to update token # 5 instead of the user's token.

TagsNo tags attached.

Relationships

related to 0020822 closeddregad Collapsing/Expanding sections triggers error 2300 
related to 0021068 closeddregad Intermittent "error 2300 token not found" 

Activities

atrol

atrol

2016-04-18 08:08

developer   ~0052973

Didn't have a deeper look.
0020802 might be related.

dregad

dregad

2016-04-18 08:19

developer   ~0052974

PR https://github.com/mantisbt/mantisbt/pull/759

dregad

dregad

2016-04-18 10:57

developer   ~0052976

Last edited: 2016-04-18 10:58

View 2 revisions

0020802 might be related.

The profile's collapse section might be affected, but the icon not switching from + to - is a different issue.

dregad

dregad

2016-05-12 07:58

developer   ~0053131

Backported to 1.2.x branch as the same problem exists there.

Related Changesets

MantisBT: master fd47e9c8

2016-04-18 07:28:19

dregad

Details Diff
Fix token_touch() call in collapse_cache_token()

token_touch() requires a token ID, but we give it a TOKEN_COLLAPSE token
type instead, so collapse_cache_token() always tries to update token # 5
rather than the user's token.

Fixes 0020824
mod - core/collapse_api.php Diff File

MantisBT: master-1.2.x 9109ed67

2016-04-18 07:28:19

dregad

Details Diff
Fix token_touch() call in collapse_cache_token()

token_touch() requires a token ID, but we give it a TOKEN_COLLAPSE token
type instead, so collapse_cache_token() always tries to update token # 5
rather than the user's token.

Fixes 0020824

Backported from master fd47e9c8cb4d41e0d9ce9785c8b3d79b905fdd46.
Conflicts:
core/collapse_api.php
mod - core/collapse_api.php Diff File

Issue History

Date Modified Username Field Change
2016-04-18 08:01 dregad New Issue
2016-04-18 08:01 dregad Status new => assigned
2016-04-18 08:01 dregad Assigned To => dregad
2016-04-18 08:01 dregad Relationship added related to 0020822
2016-04-18 08:08 atrol Note Added: 0052973
2016-04-18 08:19 dregad Note Added: 0052974
2016-04-18 10:57 dregad Note Added: 0052976
2016-04-18 10:58 dregad Note Edited: 0052976 View Revisions
2016-04-19 18:32 dregad Changeset attached => MantisBT master fd47e9c8
2016-04-19 18:32 dregad Status assigned => resolved
2016-04-19 18:32 dregad Resolution open => fixed
2016-04-19 18:32 dregad Fixed in Version => 1.3.0-rc.2
2016-05-12 07:55 dregad Changeset attached => MantisBT master-1.2.x 9109ed67
2016-05-12 07:56 dregad Fixed in Version 1.3.0-rc.2 => 1.2.20
2016-05-12 07:57 dregad Target Version 1.3.0-rc.2 => 1.2.20
2016-05-12 07:57 dregad Product Version 1.3.0-rc.2 => 1.2.19
2016-05-12 07:58 dregad Note Added: 0053131
2016-06-08 00:06 vboctor Relationship added related to 0021068
2016-08-15 09:02 dregad Status resolved => closed